Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ftp
Class FtpMessageRequester

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageRequester
              org.mule.transport.ftp.FtpMessageRequester

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageRequester, MessageRequesting

    public class FtpMessageRequester

extends AbstractMessageRequester

Field Summary
`protected FtpConnector` | `connector`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Constructor Summary
`FtpMessageRequester(InboundEndpoint endpoint)`

Method Summary
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected MuleMessage` | `doRequest(long timeout)` Make a specific request to the underlying transport
`protected org.apache.commons.net.ftp.FTPFile` | `findFileToProcess(org.apache.commons.net.ftp.FTPClient client)`
`protected FilenameFilter` | `getFilenameFilter()`
`protected org.apache.commons.net.ftp.FTPFile[]` | `listFiles(org.apache.commons.net.ftp.FTPClient client)`
`protected org.apache.commons.net.ftp.FTPFile` | `prepareFile(org.apache.commons.net.ftp.FTPClient client, org.apache.commons.net.ftp.FTPFile file)`

Methods inherited from class org.mule.transport.AbstractMessageRequester
`dispose, getEndpoint, getWorkManager, initialise, request`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, doStart, doStop, exceptionThrown, getConnectEventId, getConnectionDescription, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, toString, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageRequester
`activate, getConnector, passivate, validate`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Field Detail

### connector

    protected final FtpConnector connector

Constructor Detail

### FtpMessageRequester

    public FtpMessageRequester(InboundEndpoint endpoint)

Method Detail

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doRequest

    protected MuleMessage doRequest(long timeout)
                             throws Exception

  Make a specific request to the underlying transport

  Specified by:
    `doRequest` in class `AbstractMessageRequester`
  Parameters:
    `timeout` - The maximum time the operation should block before returning. The call should return immediately if there is data available. If no data becomes available before the timeout elapses, null will be returned.
  Returns:
    The result of the request wrapped in a MuleMessage object. `null` will be returned if no data was avaialable
  Throws:
    `Exception` - if the call to the underlying protocol cuases an exception

### prepareFile

    protected org.apache.commons.net.ftp.FTPFile prepareFile(org.apache.commons.net.ftp.FTPClient client,
                                                             org.apache.commons.net.ftp.FTPFile file)
                                                      throws IOException

  Throws:
    `IOException`

### findFileToProcess

    protected org.apache.commons.net.ftp.FTPFile findFileToProcess(org.apache.commons.net.ftp.FTPClient client)
                                                            throws Exception

  Throws:
    `Exception`

### listFiles

    protected org.apache.commons.net.ftp.FTPFile[] listFiles(org.apache.commons.net.ftp.FTPClient client)
                                                      throws IOException

  Throws:
    `IOException`

### getFilenameFilter

    protected FilenameFilter getFilenameFilter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.